using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using System.Drawing;

public partial class Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        var path = Server.MapPath("~/App_Data/Gantt.xml");
        RadGantt1.Provider = new XmlGanttProvider(path, true);

        RadGantt1.DataBind();
        RadGantt1.Resources.Add(new Telerik.Web.UI.Gantt.Resource()
        {
            ID = 1,
            Color = Color.Red,
            Text = "Thomas Hardy",
            Format = "n4"
        });
        RadGantt1.Resources.Add(new Telerik.Web.UI.Gantt.Resource()
        {
            ID = 2,
            Color = Color.GreenYellow,
            Text = "Elizabeth Lincoln",
            Format = "p3"
        });
    }
}
